#include<fstream>
using namespace std;
int gcd(int a,int b)
{
	return(b==0)?a:gcd(b,a%b);
}
int main()
{
	ifstream f1("DQUC.INP");
	ofstream f2("DQUC.OUT");
	int n;
	int i;
	f1>>n;
	int f[n];
	int d;
	f1>>f[0];
	d=f[0];
	for(i=1;i<n;i++)
	{
		f1>>f[i];
		d=gcd(d,f[i]);
	}
	f2<<d;
	f1.close();
	f2.close();
	return 0;
}
